<div class="add-edit-staff-container">
  <block-ui message="Loading...">
  </block-ui>
  <div class="alert-wrapper">
    <app-alert [message]="message" [type]="type" id="alert"></app-alert>
  </div>

  <!-- DISPLAY ADD/EDIT STAFF TITLE -->
  <div class="add-edit-staff-content">
    <div class="title-container">
      <h3 id="heading">{{isAddingStaff ? 'Add' : 'Edit'}} Staff <span *ngIf="!isAddingStaff && !isMyProfileDialog">>> {{staffName}}</span>
      </h3>
    </div>

    <mat-tab-group color="warn">
      <mat-tab class="details-tab" label="Details">

        <div class="row pt-2">

          <!-- BASIC DETAILS / LEFT SIDE'S STAFF DETAIL -->
          <div class="col-12 col-md-12 col-lg-3" id="basicDetails">

            <form class="row" [formGroup]="staffFormGroup">

              <!-- GET STAFF IMAGE -->
              <div class="staff-img-container col-12">
                <app-image-upload [imgPlaceholder]="'./assets/select-photo-placeholder.png'" [isTransparent]="true"
                                  [isDefaultSize]="true" [buttonText]="'Upload Photo'" #photo></app-image-upload>
              </div>

              <!-- Position -->
              <div class="col-xl-12 col-6">
                <div class="w-100 text-right">
                  <mat-hint class="required-label-top">Required</mat-hint>
                </div>
                <mat-form-field [appearance]="apperance">
                  <mat-label>Position*</mat-label>
                  <app-add-new-dropdown class="w-100 bg-white" [categoryId]="2" [isRestrictSpecCharNum]="true"
                                        formControlName="position"></app-add-new-dropdown>
                  <mat-error *ngIf="staffFormGroup.get('position').invalid">
                    This field is required
                  </mat-error>
                </mat-form-field>
              </div>

              <!-- Email  -->
              <div class="col-xl-12 col-6" style="margin-top: 12px;">
                <div class="w-100 text-right required-label-top-container">
                  <span class="required-label-top">Required</span>
                </div>
                <mat-form-field [appearance]="appearance" class="full-width">
                  <mat-label>Email ID</mat-label>
                  <input matInput placeholder="Email id" formControlName="emailId" required appCharLimit
                         [frmGroup]="staffFormGroup" fcName="emailId" [max]="100" autocomplete="off">
                  <mat-error *ngIf="staffFormGroup.get('emailId').hasError('required')">
                    This field is required
                  </mat-error>
                  <mat-error *ngIf="staffFormGroup.get('emailId').hasError('pattern')">
                    Please enter a valid email address.
                  </mat-error>
                  <mat-error *ngIf="staffFormGroup.get('emailId').hasError('exceedLimit')">
                    {{staffFormGroup.get('emailId').getError('exceedLimit')}}
                  </mat-error>
                </mat-form-field>
              </div>

              <!-- Phone  -->
              <div class="col-xl-12 col-6">
                <mat-form-field [appearance]="appearance" class="full-width">
                  <mat-label>Phone</mat-label>
                  <input matInput class="remove-spin-btn" placeholder="Phone" type="number" formControlName="phone"
                         autocomplete="off" (keypress)="restricateE($event)">
                  <mat-error *ngIf="staffFormGroup.get('phone').hasError('pattern')">
                    Please enter a valid phone number.
                  </mat-error>
                </mat-form-field>
              </div>

              <!-- Mobile  -->
              <div class="col-xl-12 col-6">
                <mat-form-field [appearance]="appearance" class="full-width">
                  <mat-label>Mobile</mat-label>
                  <input matInput class="remove-spin-btn" placeholder="Mobile" type="number" formControlName="mobile"
                         autocomplete="off" (keypress)="restricateE($event)">
                  <mat-error *ngIf="staffFormGroup.get('mobile').hasError('pattern')">
                    Please enter a valid mobile number.
                  </mat-error>
                </mat-form-field>
              </div>
            </form>

          </div>

          <!-- PERSONAL/ROLE & LOCATIONS / OTHER INFO. DETAILS -->
          <div class="col-12 col-md-12 col-lg-6 pr-0" id="personal_role">

            <!-- STAFF PERSONAL INFORMATION -->
            <app-add-user-personal-information *ngIf="displayPersonalInformationSection"
                                               [personalInfoForm]="staffFormGroup"></app-add-user-personal-information>

            <!-- StAFF ROLE & LOCATION INFORMATION -->
            <app-add-edit-staff-role-and-locations *ngIf="displayRoleSection" [currentStaffId]="id" [isOwner]="isOwner"
                                                   [isAddingStaff]="isAddingStaff"
                                                   [country]="staffFormGroup.get('country').value"
                                                   (isPractitionerConfig)="showPractitionerConfigTab($event)"
                                                   [roleAndLocationFormArray]="getApplicationUsersLocationModel"></app-add-edit-staff-role-and-locations>

            <!-- PRACTITIONER CONFIGURATION BY LOCATION -->
            <app-add-edit-practitioner-config *ngIf="displayPttrConfig"
                                              [formGroup]="practitionerConfigFormGroup"></app-add-edit-practitioner-config>

            <!-- OTHER INFORMATION -->
            <app-add-edit-staff-othet-info *ngIf="displayOtherSection"
                                           [formGroup]="staffFormGroup"></app-add-edit-staff-othet-info>

          </div>

          <!-- TABS FOR CENTER CONTENT -->
          <div class="col-12 col-md-12 col-lg-3 pl-0" id="tabs">
            <app-add-edit-staff-right-side-panel [isOwner]="isOwner" [isAddingStaff]="isAddingStaff"
                                                  [isMyProfileDialog]="isMyProfileDialog"
                                                 [selectedTabName]="selectedTabName"
                                                 [isDisplayPttrConfigTab]="isDisplayPttrConfigTab"
                                                 [staffFormGroup]="staffFormGroup"
                                                 (setupSchedule)="openSchedulerGuidePopup()"
                                                 (tabChange)="onTabChange($event)"></app-add-edit-staff-right-side-panel>
          </div>

        </div>

      </mat-tab>
    </mat-tab-group>
  </div>

  <div class="text-right" [class.side-nave-small]="!appState.sideNavToggle"
  [class.footer-container]="!isMyProfileDialog">
    <div class="pt-3">
      <button mat-stroked-button color="accent" class="footer-btn-customize"
              style="margin-right: 1% !important; width: 85px !important;" (click)="cancelStaff();">
        <span>Cancel</span>
      </button>
      <button mat-stroked-button color="accent" class="footer-btn-customize"
              style="margin-right: 1% !important; width: 85px !important;" (click)="nextBackPage(-1);"
              *ngIf="!displayPersonalInformationSection"><span>Back</span></button>
      <button mat-raised-button color="accent" class="footer-btn-customize" (click)="nextBackPage(1);"
              *appAccess="moduleName; lookFor: ['C', 'E']"
              [disabled]="disableNextButton() || submitting">
        {{ saveBtnText }}
      </button>
    </div>
  </div>
</div>

<!-- DIALOG -->
<kendo-dialog *ngIf="isOpenSchedulerGuidePopup" [width]="778" [height]="290">

  <div class="h-100 position-relative" style="padding: 0 4px">
    <div class="d-flex align-items-center" style="height: 40px; min-height: 40px;">
      <div class="dialog-title text-uppercase flex-fill quicksand normal_18px_font text-black">
        Setup Practitioner Schedule
      </div>
      <button mat-icon-button class="modalClosebtn" (click)="closeScheduleGuideDialog()"
              style="width: 24px; height: 24px; line-height: 24px; margin-right: 10px;" aria-label="Close dialog">
        <mat-icon class="m-0">close</mat-icon>
      </button>
    </div>
    <mat-divider></mat-divider>

    <div style=" max-height: 157px; min-height: 157px; padding: 10px 0; overflow: hidden; overflow-y: auto;">
      <div class="text-black normal_14px_16px_font helvetica-neue-regular">
        You can create schedule for this practitioner by using the links below.
      </div>

      <div style="margin-top: 20px;">
        <div class="d-flex align-items-center"
             *ngFor="let data of getApplicationUsersLocationModelValue(); let i=index;">
          <a role="button" class="mb-2 d-flex align-items-center" (click)="setupSchedule(data)">
            Set {{data['locationName']}} Schedules
            <mat-icon class="ml-1 mb-0">keyboard_arrow_right</mat-icon>
          </a>
        </div>
      </div>

      <div class="text-right w-100 position-absolute" style="bottom: 0;">
        <mat-divider></mat-divider>
        <button mat-raised-button color="accent" class="mt-3 btnheight dialog-btn" (click)="closeScheduleGuideDialog()">
          OK
        </button>
      </div>
    </div>
  </div>

</kendo-dialog>
<!-- DIALOG -->


<!-- Email Change DIALOG -->
<kendo-dialog *ngIf="isOpenEmailConfirmDialog" [width]="778" [height]="290" autoFocusedElement="#no">

  <div class="h-100 position-relative" style="padding: 0 4px">
    <div class="d-flex align-items-center" style="height: 40px; min-height: 40px;">
      <div class="dialog-title text-uppercase flex-fill quicksand normal_18px_font text-black">
        Are you sure to modify the email id of this staff account?
      </div>
      <button mat-icon-button class="modalClosebtn" (click)="closeScheduleGuideDialog()"
              style="width: 24px; height: 24px; line-height: 24px; margin-right: 10px;" aria-label="Close dialog">
        <mat-icon class="m-0">close</mat-icon>
      </button>
    </div>
    <mat-divider></mat-divider>

    <div style=" max-height: 157px; min-height: 157px; padding: 10px 0; overflow: hidden; overflow-y: auto;">
      <div class="text-black normal_14px_16px_font helvetica-neue-regular">
        If you click Yes, a verification link will be sent to this new email id, please click on the link to verify
        email and set password to login.
        <br>
        <b>Important:</b> You cannot login with your old email id once new email id is updated successfully.
      </div>
      <div class="text-right w-100 position-absolute" style="bottom: 0;">
        <mat-divider></mat-divider>
        <button mat-stroked-button color="primary" class="mt-3 btnheight dialog-btn" id="no"
                (click)="isOpenEmailConfirmDialog = false;">
          No
        </button>
        <button mat-raised-button color="accent" class="mt-3 ml-2 btnheight dialog-btn" (click)="confirmEmailChange()">
          Yes
        </button>
      </div>
    </div>
  </div>

</kendo-dialog>
<!-- DIALOG -->
